package com.junmp.jyzb.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.junmp.jyzb.entity.Shelf;
import com.junmp.jyzb.entity.WarehouseArea;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

@Mapper
public interface WarehouseAreaMapper extends BaseMapper<WarehouseArea> {
    void addArea(WarehouseArea warehouseArea);

    void updateArea(WarehouseArea warehouseArea);

    void deleteArea(String areaId);

    List<Map<String, Object>> getAreaList(Shelf shelf);
}